Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2021-11-13 03:30:57

0001 #!/bin/bash
0002 
0003 # Pass in name and status
0004 function die { echo $1: status $2 ; echo === Log file === ; cat ${3:-/dev/null} ; echo === End log file === ; exit $2; }
0005 
0006 pushd ${LOCAL_TMP_DIR}
0007 
0008 F1=${LOCAL_TEST_DIR}/test_global_modules_cfg.py
0009 F2=${LOCAL_TEST_DIR}/test_stream_modules_cfg.py
0010 F3=${LOCAL_TEST_DIR}/test_one_modules_cfg.py
0011 F4=${LOCAL_TEST_DIR}/test_limited_modules_cfg.py
0012 (cmsRun $F1 ) >& log_test_global_modules || die "Failure using $F1" $? log_test_global_modules
0013 # These greps are testing callWhenNewProductsRegistered
0014 grep "global::StreamIntProducer TriggerResults" log_test_global_modules > /dev/null || die "grep failed to find 'global::StreamIntProducer TriggerResults'" $? log_test_global_modules
0015 grep "global::StreamIntAnalyzer TriggerResults" log_test_global_modules > /dev/null || die "grep failed to find 'global::StreamIntAnalyzer TriggerResults'" $? log_test_global_modules
0016 (cmsRun $F2 ) >& log_test_stream_modules || die "Failure using $F2" $? log_test_stream_modules
0017 grep "stream::GlobalIntAnalyzer TriggerResults" log_test_stream_modules > /dev/null || die "grep failed to find 'stream::GlobalIntAnalyzer TriggerResults'" $? log_test_stream_modules
0018 (cmsRun $F3 ) >& log_test_one_modules || die "Failure using $F3" $? log_test_one_modules
0019 grep "one::SharedResourcesAnalyzer TriggerResults" log_test_one_modules > /dev/null || die "grep failed to find 'one::SharedResourcesAnalyzer TriggerResults'" $? log_test_one_modules
0020 (cmsRun $F4 ) >& log_test_limited_modules || die "Failure using $F4" $? log_test_limited_modules
0021 grep "limited::StreamIntAnalyzer TriggerResults" log_test_limited_modules > /dev/null || die "grep failed to find 'limited::StreamIntAnalyzer TriggerResults'" $? log_test_limited_modules
0022 
0023 #the last few lines of the output are the printout from the
0024 # ConcurrentModuleTimer service detailing how much time was
0025 # spent in 2,3 or 4 modules running simultaneously.
0026 touch empty_file
0027 
0028 (cmsRun ${LOCAL_TEST_DIR}/test_no_concurrent_module_cfg.py ) >& log_test_no_concurrent_module
0029 cat log_test_no_concurrent_module | tail -n 3 | grep -v ' 0 ' | grep -v 'e-' | diff - empty_file || die "Failure using test_no_concurrent_module_cfg.py" $? log_test_no_concurrent_module
0030 
0031 (cmsRun ${LOCAL_TEST_DIR}/test_limited_concurrent_module_cfg.py ) >& log_test_limited_concurrent_module
0032 cat log_test_limited_concurrent_module | tail -n 3 | grep -v ' 0 ' | grep -v 'e-' | diff - empty_file || die "Failure using test_limited_concurrent_module_cfg.py" $? log_test_limited_concurrent_module
0033 
0034 echo cmsRun modules_2_concurrent_lumis_cfg.py
0035 (cmsRun ${LOCAL_TEST_DIR}/modules_2_concurrent_lumis_cfg.py ) &> log_modules_2_concurrent_lumis || die "cmsRun modules_2_concurrent_lumis_cfg.py" $? log_modules_2_concurrent_lumis
0036 
0037 popd